<?php
// Variables en etre : $m_message, $m_objet, $m_to, $m_nom (nom de $m_to) $m_from m_cci
// Sytaxe des variables : 
//    $m_to, $m_from : "toto <toto@domaine.fr>" ou "toto@domaine.fr"
//    $m_cci  : "pmachin@domaine.fr,antbid@gmail.com" (sans espaces autour de la virgule)
//    ou bien : "Philippe Machin <pmachin@domaine.fr>,Antoine Bidule <antbid@gmail.com>"

$nl="<br >\n";
include 'params.php';
if (isset($m_message)) {
    //echo "message avant traitement : $message$nl";
    //on enlve les espaces
    $m_from=trim($m_from);
    $m_message=trim($m_message);
    $m_objet=trim($m_objet);
   if (isset($m_nom)) {
      $m_nom=stripslashes(htmlentities($m_nom));
   } else {
      $m_nom=null;
   }

    //On vrifie si l'e mail et le message sont pleins, et on agit en fonction.
    //Si ca ne vas pas (mal rempli, mail non valide...) 
   if((empty($m_message))or(empty($m_objet))or(empty($m_from))) {
      //Au moins 1 des champs est vide
         echo "Il faut remplir tous les champs !$nl";
         echo "message : $m_message$nl";
         echo "objet   : $m_objet$nl";
         echo "from    : $m_from$nl";
   } else {
      ini_set("SMTP","smtp.free.fr" );
      ini_set('sendmail_from', $m_from);
      $domaine=preg_replace('#[^@]+@(.+)#','$1',$m_from);
      $DomaineMailExiste=checkdnsrr($domaine,'MX');
      if(!$DomaineMailExiste)  echo"Le nom de domaine de l'adresse e-mail que vous avez donn n'existe pas.$nl";
      
      $Theaders   = array();
      $Theaders[] = "MIME-Version: 1.0";
      //$Theaders[] = "Content-type: text/plain; charset=iso-8859-1";
      $Theaders[] = "Content-Type: text/html; charset='utf-8'";

      $rmess="<html>\r\n<head>\r\n   <meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n";
      $rmess.="<title>$m_objet</title>\r\n</head>\r\n<body bgcolor='#FFCCFF'>\r\n";
      $rmess.=$m_message;
      $rmess.="\r\n</body>\r\n</html>";

      if ($m_nom) {
         $Theaders[]="From:$m_nom <$m_from>";
         if (isset($m_reply)) {
            $Theaders[]="Reply-To:$m_reply";
         } else {
            $Theaders[]="Reply-To:$m_nom <$m_from>";
         }
      } else {
         $Theaders[]="From:$m_from";
         if (isset($m_reply)) {
            $Theaders[]="Reply-To:$m_reply";
         } else {
            $Theaders[]="Reply-To:$m_from";
         }
      }
      $Theaders[]="To:$m_to";
      $Theaders[]="Subject:$m_objet";
      if ($m_cci) {
         $Theaders[]="Cci:$m_cci";
      }
      $Theaders[] = "Sent:" .date('l, F d, Y H:i');
      $Theaders[] = "X-Mailer: PHP/".phpversion();
      $headers=implode("\r\n", $Theaders);
      if (mail($m_to,$m_objet,$rmess,$headers,'O DeliveryMode=b'))  {
         echo ": Ok$nl";
      }  else {
         echo " :-($nl";
         echo "<p>Problme :</p>$nl";
         echo "Headers : $headers$nl";
         echo "From $m_nom ($m_from)$nl";
         echo "To $m_to$nl";
         echo "Objet : $m_objet$nl";
         echo "Cci : $m_cci$nl";
         //echo"<p>Un problme est survenu durant l'envoi.</p>";
      }
      /*
      echo "<p>Message ok</p>$nl";
      echo "Headers : $headers$nl";
      echo "From $m_nom ($m_from)$nl";
      echo "To $m_to$nl";
      echo "Objet : $m_objet$nl";
      echo "Cci : $m_cci$nl";
      echo "Texte : $m_message$nl";
      echo "html : $rmess$nl";
      */
   }
}
?>

